package com.icontrols.kakao.common;

public final class THINGS_INFO {
	public static final int THINGS_LIGHT 		= 1,  THINGS_TEMPER  	= 2,  THINGS_ELECPLUG 	= 3,  THINGS_GAS 		= 4,
							THINGS_ILGALSWITCH 	= 5,  THINGS_WALLPAD  	= 6,  THINGS_VENTIL 	= 7,  THINGS_NOTICE 	= 8,
							THINGS_VOTE			= 9,  THINGS_PARKING  	= 10, THINGS_PARCEL 	= 11, THINGS_HEMS 		= 12,
							THINGS_CARIN 		= 13, THINGS_ELEVATOR 	= 14, THINGS_VISITOR 	= 15, THINGS_EMERGENCY 	= 16;
	
	public enum THINGS_CAPABILITY{
		LIGHT("light","{\"capabilities\" : [ { \"name\" : \"Power\" } ]}"),
		TEMPER("temper", "{\"capabilities\" : [ { \"name\" : \"Power\" }, { \"name\" : \"Temperature\" }, { \"name\" : \"TemperatureSetPoint\" } ]}"),
		VENTIL("ventil","{\"capabilities\" : [ { \"name\" : \"Power\" }, { \"name\" : \"AirFlow\" } ]}"),
		GAS("gas","{\"capabilities\" : [ { \"name\" : \"Lock\" } ] }");
		
		private String thingsName;
		private String capJsonStr;
		
		private THINGS_CAPABILITY(String thingsName, String capJsonStr) {
			this.thingsName = thingsName;
			this.capJsonStr = capJsonStr;
		}
		public String getThingsName() {
			return thingsName;
		}
		public void setThingsName(String thingsName) {
			this.thingsName = thingsName;
		}
		public String getCapJsonStr() {
			return capJsonStr;
		}
		public void setCapJsonStr(String capJsonStr) {
			this.capJsonStr = capJsonStr;
		}
		
		
	}
	public enum THINGS{
		//endpoint는 카카오 API와 연동될 기기 endpoint
		// name 은 우리쪽에서 정의된 기기 명
		// desc 는 기기 설명
		LIGHT(1,"LIGHT", "Light", "조명스위치"),				
		TEMPER(2, "TEMPER", "FloorHeater", "난방"),
		ELECPLUG(3, "ELECTRIC", "PowerOutlet", "전기"),
		GAS(4, "GAS", "GasValve", "가스밸브"),
		ILGALSWITCH(5, "ILGALSWITCH", "ilgal", "일괄조명스위치"),
		WALLPAD(6, "WALLPAD", "walpad", "월패드"),
		VENTIL(7, "VENTIL", "AirVentilator", "환기시스템"),
		NOTICE(8, "NOTICE", "InformationReporter", "공지사항"),
		VOTE(9, "VOTE", "vote", "주민투표"),
		PARKING(10, "PARKING", "parking", "주차위치"),
		PARCEL(11, "PARCEL", "parcel", "택배도착"),
		HEMS(12, "HEMS", "hems", "원격검침"),
		CARIN(13, "CARIN", "carin", "주차관제(입차/출차)"),
		ELEVATOR(14, "ELEVATOR", "ElevatorCaller", "엘리베이터"),
		VISITOR(15, "VISITOR", "visitor", "방문자"),
		EMERGENCY(16, "EMERGENCY", "emergency", "방범")
		;
		
		private int endPoint;
		private String thingsName;
		private String kakaoDisplayName;
		private String desc;
		
		private THINGS(int endPoint, String thingsName, String kakaoDisplayName, String desc) {
			this.endPoint = endPoint;
			this.thingsName = thingsName;
			this.kakaoDisplayName = kakaoDisplayName;
			this.desc = desc;
		}

		public int getEndPoint() {
			return endPoint;
		}

		public void setEndPoint(int endPoint) {
			this.endPoint = endPoint;
		}

		public String getThingsName() {
			return thingsName;
		}

		public void setThingsName(String thingsName) {
			this.thingsName = thingsName;
		}

		public String getKakaoDisplayName() {
			return kakaoDisplayName;
		}

		public void setKakaoDisplayName(String kakaoDisplayName) {
			this.kakaoDisplayName = kakaoDisplayName;
		}

		public String getDesc() {
			return desc;
		}

		public void setDesc(String desc) {
			this.desc = desc;
		}
	}
	
	public static THINGS_INFO.THINGS getThingsType(String modelId){    
		
		THINGS_INFO.THINGS[] list = THINGS_INFO.THINGS.values();
		
		for(THINGS_INFO.THINGS things:list) {
			if(modelId.toLowerCase().contains(things.getThingsName().toLowerCase())) {
				return things;
			}
		}
		
		return null;
	}
}
