package com.icontrols.kakao.controller;

import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import com.icontrols.kakao.service.AuthService;


@RestController
public class AuthController {
	private static final Logger logger = LoggerFactory.getLogger(AuthController.class);

	@Autowired
	AuthService authService;
	
	@RequestMapping(value = "/kakao/auth", method = RequestMethod.POST, consumes = "application/json")
	public @ResponseBody Map<String, Object> reqCode(@RequestBody Map<String, Object> body) throws Exception {
		logger.info(body.toString());
		Map<String, Object> retMap = authService.authProcess(body);
		
		return retMap;
	}
	
	@RequestMapping(value = "/kakao/test", method = RequestMethod.POST, consumes = "application/json")
	public @ResponseBody Map<String, Object> test(@RequestBody Map<String, Object> body) throws Exception {
		logger.info("kakao test --<>>>>>");
		Map<String, Object> retMap = new HashMap<String, Object>();
		
		
		retMap.put("UUID", UUID.randomUUID().toString());
		return retMap;
	}
}
